<?php

namespace App\Services\Integrations\Tickets;

interface TicketIntegrationInterface
{
    public function getTicket(string $requestId);
    public function addCommentToTicket(string $requestId, string $message, string $userId);
    public function createTicket(array $ticketData);
    public function addAttachmentToTicket(string $ticketId, string $message, string $userId, $filePath, $fileName);
    public function getTicketUrl(string $requestId);
}
